import { request } from '@/api/_service'

const BASE = 'planning_production/production_batch_management/report/'

function apiParams (method, data = {}) {
  return {
    method,
    platform: 'background',
    ...data
  }
}

export function getBatchDefectReport (data) {
  return request({
    url: BASE + 'bad',
    method: 'get',
    params: apiParams('planning_production_production_batch_management_batch_bad', data)
  })
}

export function exportBatchDefectReport (data) {
  return request({
    url: BASE + 'export',
    method: 'get',
    params: apiParams('planning_production_production_batch_management_batch_export', data)
  })
}
